> ## Documentation Index
> Fetch the complete documentation index at: https://developer.copper.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ClearLoop Currencies



## OpenAPI

````yaml /copper-open-api-public.json get /clearloop/currencies
openapi: 3.1.0
info:
  description: >-
    Copper API is based on the REST API interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.

    By default, the request should include a Content-Type header set as
    application/json. Some requests require different header fields, as well as
    other Content-Type values. In this case, a proper header will be stated in
    an example.

    When interacting with the API, please note that all numerical values, such
    as order amounts or timestamps, should be transmitted as strings. This
    ensures consistent data representation and prevents potential issues with
    floating-point precision
  title: Copper Platform API
  version: latest
servers:
  - description: platform.copper.co
    url: https://api.copper.co/platform
  - description: demo.copper.co
    url: https://api.stage.copper.co/platform
  - description: testnet.copper.co
    url: https://api.testnet.copper.co/platform
security: []
tags:
  - name: reports
  - name: deposit-targets
  - name: lending
  - name: portfolios
  - name: wallets
  - name: network
  - name: stake
  - name: blockchain
  - name: organizations
  - name: files
  - name: orders
  - name: address-book
  - name: clearloop
  - name: hyperliquid
  - name: currencies
paths:
  /clearloop/currencies:
    get:
      tags:
        - clearloop
      summary: Get ClearLoop Currencies
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClearLoopExchangesCurrenciesResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    ClearLoopExchangesCurrenciesResponse:
      properties:
        exchangeCurrencies:
          items:
            $ref: '#/components/schemas/ClearLoopExchangeCurrenciesResponse'
          type: array
      required:
        - exchangeCurrencies
      type: object
    ClearLoopExchangeCurrenciesResponse:
      properties:
        clearLoopCurrencies:
          items:
            $ref: '#/components/schemas/ClearLoopCurrency'
          type: array
        exchangeId:
          description: External ClearLoop exchange
          examples:
            - okex
          type: string
      required:
        - exchangeId
        - clearLoopCurrencies
      type: object
    ClearLoopCurrency:
      properties:
        currency:
          type: string
        decimals:
          description: Allowed decimal points by the exchange and Copper
          type: string
        isDefault:
          description: Indicates if this is the default network
          type: boolean
        isDelegationCurrency:
          description: Whether this currency/network is enabled for delegation
          type: boolean
        isSettlementCurrency:
          description: Whether this currency/network is enabled for settlement
          type: boolean
        mainCurrency:
          type: string
      required:
        - currency
        - mainCurrency
        - decimals
        - isDefault
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.